快速开始

快速开始

API

创建 3D 生成任务 POST查询任务状态 GET列出可用模型 GET
API 参考

列出可用模型

返回所有可用的 3D 生成模型及其公开元数据。

模型别名是 API 暴露的唯一标识符。 内部 provider 和模型详情永远不会返回。

GET
/models

Authorization

BearerAuth

AuthorizationBearer <token>

API key with tr_ prefix, sent as Bearer token

In: header

Response Body

application/json

application/json

curl -X GET "https://trellis2.app/api/v1/models"
{
  "id": "models",
  "object": "list",
  "status": "completed",
  "created": 1723000000,
  "data": [
    {
      "id": "trellis2",
      "name": "Trellis2",
      "description": "Microsoft Trellis2 — balanced quality image-to-3D generation",
      "type": "3d",
      "capabilities": [
        "image-to-3d"
      ],
      "creditsCost": 10,
      "maxImageSize": "1024x1024",
      "maxImages": 1,
      "estimatedTime": "~60s"
    }
  ]
}
{
  "error": {
    "message": "string",
    "type": "string",
    "code": "string",
    "param": "string"
  }
}

查询任务状态 GET

上一页

curl -X GET "https://trellis2.app/api/v1/models"